|  | Home · All Classes · Modules

# QFileOpenEvent Class Reference
[QtGui module]

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL. More...

Inherits QEvent.

### Methods

- QString file (self)
- bool openFile (self, QFile file, QIODevice.OpenMode flags)
- QUrl url (self)

## Detailed Description

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL.

File open events will be sent to the QApplication.instance() when the operating system requests that a file or URL should be opened. This is a high-level event that can be caused by different user actions depending on the user's desktop environment; for example, double clicking on an file icon in the Finder on Mac OS X.

This event is only used to notify the application of a request. It may be safely ignored.

Note: This class is currently supported for Mac OS X and Symbian only.

## Method Documentation

### QString QFileOpenEvent.file (self)

Returns the file that is being opened.

### bool QFileOpenEvent.openFile (self, QFile file, QIODevice.OpenMode flags)

Opens a QFile on the file referenced by this event in the mode specified by flags. Returns true if successful; otherwise returns false.

This is necessary as some files cannot be opened by name, but require specific information stored in this event. For example, if this QFileOpenEvent contains a request to open a Symbian data caged file, the QFile could only be opened from the Symbian RFile used in the construction of this event.

This function was introduced in Qt 4.8.

### QUrl QFileOpenEvent.url (self)

Returns the url that is being opened.

This function was introduced in Qt 4.6.